Subject: bug#28303: “guix import texlive keyval” fails

From: zimoun <[email-masked]>
Date: Thu, 16 Sep 2021 08:51:13 +0200

Hi,

On Tue, 10 Oct 2017 at 08:51, [email-masked] (Ludovic Courtès) wrote:
> Ricardo Wurmus <[email-masked]> skribis:
>
>> In the case of “keyval” I don’t know exactly what is wrong, but in
>> general it looks like the importer doesn’t use subversion from the store
>> but expects it to be available in the environment.
>
> For now, we could always return an error like “svn command not found” or
> similar?

I think this old bug [1] is fixed now.  The 2 examples works now and
from my understanding, I do not have SVN in my profiles as user.

Closing?

Cheers,
simon

--8<---------------cut here---------------start------------->8---
$ guix import texlive keyval
following redirection to `https://ctan.org/xml/1.2/pkg/keyval'...
command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "51265" "svn://www.tug.org/texlive/tags/texlive-2019.3/Master/texmf-dist/source/latex/keyval" "/tmp/guix-directory.lqE1vR/svn" failed with signal 11
guix import: warning: Could not determine source location.  Please manually specify the source field.
(package
  (name "texlive-latex-keyval")
  (version "1.15")
  (source #f)
  (build-system texlive-build-system)
  (arguments '(#:tex-directory "latex/keyval"))
  (home-page "http://www.ctan.org/pkg/keyval")
  (synopsis "Process 'key=value' schemes")
  (description
    "The package offered the first key-value decoder for LaTeX 2e; its original user was the graphicxgraphicx package, but it is widely used elsewhere in common LaTeX packages.  The package is part of the latex-graphicslatex-graphics bundle, which is one of the collections in the requiredLaTeX â\x80\x98requiredâ\x80\x99 set of packages.")
  (license lppl1.3c))

$ guix import texlive multirow
following redirection to `https://ctan.org/xml/1.2/pkg/multirow'...
command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "51265" "svn://www.tug.org/texlive/tags/texlive-2019.3/Master/texmf-dist/source/latex/multirow" "/tmp/guix-directory.UUm4ha/svn" failed with signal 11
guix import: warning: Could not determine source location.  Please manually specify the source field.
(package
  (name "texlive-latex-multirow")
  (version "2.8")
  (source #f)
  (build-system texlive-build-system)
  (arguments '(#:tex-directory "latex/multirow"))
  (home-page "http://www.ctan.org/pkg/multirow")
  (synopsis
    "Create tabular cells spanning multiple rows")
  (description
    "The package has a lot of flexibility, including an option for specifying an entry at the â\x80\x9cnaturalâ\x80\x9d width of its text.  The package is distributed with the bigdelimbigdelim and bigstrutbigstrut packages, which can be used to advantage with \\multirow cells.")
  (license lppl1.3+))
--8<---------------cut here---------------end--------------->8---